Skip to main content
POST
/
partner
/
orgs
Create an organization
curl --request POST \
  --url https://api.onecli.sh/v1/partner/orgs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Corp"
}
'
{
  "organizationId": "<string>",
  "projectId": "<string>",
  "orgApiKey": "<string>",
  "projectApiKey": "<string>",
  "agentToken": "<string>",
  "claimUrl": "<string>"
}

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Body

application/json
name
string
required
Required string length: 1 - 255
Example:

"Acme Corp"

Response

Organization created

Returned once when an organization is created. These tokens are never shown again.

organizationId
string
projectId
string
orgApiKey
string

Organization-scoped API key (oc_org_…).

projectApiKey
string

Project-scoped API key for the default project.

agentToken
string

Access token for the default agent.

claimUrl
string

Link the customer opens to claim ownership.